#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		module	pyevent

Summary:	Python extension module for libevent
Summary(pl.UTF-8):	Moduł rozszerzenia Pythona dla biblioteki libevent
Name:		python-%{module}
Version:	0.3
Release:	12
License:	MIT
Group:		Libraries/Python
Source0:	http://pyevent.googlecode.com/files/%{module}-%{version}.tar.gz
# Source0-md5:	584912c92d08bf005283fb29a47a6e4d
Patch0:		%{name}-python25.patch
Patch1:		%{name}-setup.patch
Patch2:		libevent-2.1.patch
Patch3:		test-path.patch
URL:		http://code.google.com/p/pyevent/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	libevent-devel
BuildRequires:	python-Pyrex
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python extension module for libevent.

%description -l pl.UTF-8
Moduł rozszerzenia Pythona dla biblioteki libevent.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
pyrexc event.pyx
%py_build
%{?with_tests:./test.py}

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{py_sitedir}/event.so
%{py_sitedir}/event-*.egg-info
%changelog
* Tue Apr 04 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyevent.git;a=log;h=master

* Tue Apr 04 2017 Jan Rękorajski <baggins@pld-linux.org> 0313f3a
- BR python-Pyrex
- rel 12

* Tue Apr 04 2017 Jan Rękorajski <baggins@pld-linux.org> 4d591ea
- fixed building with libevent 2.1
- rel 11

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5b3fd5d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c5ea251
- release 10 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b90db3c
- automatic change: use py_build/py_install macros

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 12f837c
- x32 rebuild
- release 9 (by relup.sh)

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 8600557
- rel 8 (new libevent)

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cfd7f96
- release 7

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3536534
- release 6

* Mon Sep 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1652053
- release 5

* Wed Aug 27 2008 Elan Ruusamäe <glen@pld-linux.org> 2ee4a07
- release 4 (libevent soname)

* Tue Aug 12 2008 Patryk Zawadzki <patrys@room-303.com> 08494cf
- add setup patch
- rel 3

* Tue Aug 12 2008 Patryk Zawadzki <patrys@room-303.com> a5c6227
- fix x86_64

* Tue Aug 12 2008 Patryk Zawadzki <patrys@room-303.com> 3c7628d
- rel 2

* Wed May 07 2008 Jakub Bogusz <qboosh@pld-linux.org> ac16680
- pl
- .so perms

* Wed Jan 30 2008 Patryk Zawadzki <patrys@room-303.com> 3dea685
- patch for python 2.5

* Wed Jan 30 2008 Patryk Zawadzki <patrys@room-303.com> 01a26c2
- patch for python 2.5 from orbited.org

* Mon Jan 28 2008 Patryk Zawadzki <patrys@room-303.com> e5053d8
- initial PLD release

